package com.zhentao.groups.MongoDB.pojo;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;


@Slf4j
@Document(collection = "group_messages")
@Data
public class GroupMessage {

    @Id
    private String id;

////    消息唯一id
//    private String message_id;

//  群id
    private Long group_id;
//  发送者ID
    private Long sender_id;
//  消息内容
    private String content;
//  消息类型
    private String content_type;
//  发送时间
    private Date created_at;



}
