package com.zhentao.information.entity;

import lombok.Data;

/**
 * 消息实体类
 */
@Data
public class Message {
    /**
     * 发送者ID
     */
    private String fromUserId;

    /**
     * 接收者ID
     */
    private String toUserId;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 发送时间
     */
    private Long timestamp;
}
